package ch.hslu.appe.inventory.logic.exception;

/**
 * Reservation Not Exists Exception.
 */
public final class ReservationNotExistsException extends Exception {

    private static final long serialVersionUID = 1L;

    /**
     * Reservation Not Exists Exception.
     * @param reservationId reservationId
     */
    public ReservationNotExistsException(final int reservationId) {
        super("The reservation '" + reservationId + "' does not exists!");
    }
}
