package ch.hslu.appe.order.logic.exception;

/**
 * Order Locked Exception.
 */
public final class OrderLockedException extends OrderException {

    private static final long serialVersionUID = 1L;

    /**
     * Order Locked Exception.
     * @param orderNumber OrderNumber
     * @param userName UserName
     */
    public OrderLockedException(final int orderNumber, final String userName) {
        super("Order '" + orderNumber + "' is locked by '" + userName + "'");
    }
}
