package ch.hslu.appe.order.logic.exception;

/**
 * Order Not Checked Out Exception.
 */
public final class OrderNotCheckedOutException extends OrderException {

    private static final long serialVersionUID = 1L;

    /**
     * Order Not Checked Out Exception.
     * @param orderNumber OrderNumber
     */
    public OrderNotCheckedOutException(final int orderNumber) {
        super("Order '" + orderNumber
                + "' has not been checked out! In order to edit an order, you have to check it out first!");
    }
}
